Subject: Re: linux-next: manual merge of the pidfd tree with the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 15 Feb 2021 07:55:14 +1100

Hi all,

On Mon, 25 Jan 2021 16:17:06 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the pidfd tree got a conflict in:
> 
>   fs/coredump.c
> 
> between commit:
> 
>   8a3cc755b138 ("coredump: don't bother with do_truncate()")
> 
> from the vfs tree and commit:
> 
>   643fe55a0679 ("open: handle idmapped mounts in do_truncate()")
> 
> from the pidfd tree.
> 
> I fixed it up (the former removes dump_truncate(), so I did that) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

With the merge window about to open, this is a reminder that this
conflict still exists.

-- 
Cheers,
Stephen Rothwell